Method: networks.lineItems.creatives.preview

Fetch previews for the LineItemCreativeAssociation.

HTTP request

POST https://admanager.googleapis.com/v1/{name}:preview

Path parameters

Parameters
name

string

Required. The name of the LineItemCreativeAssociation object to preview. Format: networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}

Request body

The request body contains data with the following structure:

JSON representation
{
  "siteUrl": string
}
Fields
siteUrl

string

Required. The URL of the site that the creative should be previewed in

Response body

Response object for creatives.preview method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "previews": [
    {
      object (Preview)
    }
  ]
}
Fields
previews[]

object (Preview)

On-site previews of the LineItemCreativeAssociation. It has only one element for non-native previews and one preview url per NativeStyle associated.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.

Preview

Represents the Creative and its corresponding preview URL. */

JSON representation
{
  "previewType": enum (PreviewType),
  "onSitePreviewUrl": string,
  "nativeStyle": string
}
Fields
previewType

enum (PreviewType)

Represents the type of preview.

onSitePreviewUrl

string

The URL for previewing this creative.

nativeStyle

string

The resource names of the NativeStyle for the preview. Only relevant when PreviewType is NATIVE. Format: networks/{networkCode}/nativeStyles/{nativeStyleId}

PreviewType

Represents preview types.

Enums
PREVIEW_TYPE_UNSPECIFIED Default value. This value is unused.
STANDARD Standard preview type.
NATIVE NativeStyle preview type.